| v_hdmitxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xhdmi_hdcp_keys.c File Reference

## Overview

This file contains the Xilinx HDCP key loading utility implementation as used in the HDMI example design.

Please see xhdmi_hdcp_keys.h for more details.

    MODIFICATION HISTORY:

    Ver   Who  Date       Changes

    1.0   MG   26-01-2016 Initial release
    1.1   YH   04-08-2016 Bypass HDCP Key password for VIPER run in board farm
    1.2   GM   12-07-2017 Changed printf usage to xil_printf
                          Changed "\n\r" in xil_printf calls to "\r\n"

## Functions
u8 | EepromReadByte (void *IicPtr, u16 Address, u8 *BufferPtr, u16 ByteCount)
| This function reads a number of bytes from the IIC serial EEPROM into a specified buffer. More...
int | XHdcp_LoadKeys (void *IicPtr, u8 *Hdcp22Lc128, u32 Hdcp22Lc128Size, u8 *Hdcp22RxPrivateKey, u32 Hdcp22RxPrivateKeySize, u8 *Hdcp14KeyA, u32 Hdcp14KeyASize, u8 *Hdcp14KeyB, u32 Hdcp14KeyBSize)
| This function loads the HDCP keys from the eeprom. More...
int | XHdcp_KeyManagerInit (u32 BaseAddress, u8 *Hdcp14Key)
| This function initialize the HDCP 1.4 key manager. More...

## Function Documentation

u8 EepromReadByte | ( | void * | IicPtr,
|  | u16 | Address,
|  | u8 * | BufferPtr,
|  | u16 | ByteCount
| ) |  |

This function reads a number of bytes from the IIC serial EEPROM into a specified buffer.

Parameters

  Address | contains the address in the EEPROM to read from.
  BufferPtr | contains the address of the data buffer to be filled.
  ByteCount | contains the number of bytes in the buffer to be read. This value is not constrained by the page size of the device such that up to 64K may be read in one call.

Returns
  The number of bytes read. A value less than the specified input value indicates an error.

Note
  None.

int XHdcp_KeyManagerInit | ( | u32 | BaseAddress,
|  | u8 * | Hdcp14Key
| ) |  |

This function initialize the HDCP 1.4 key manager.

Returns
  - XST_SUCCESS if action was successful
  - XST_FAILURE if action was not successful

int XHdcp_LoadKeys | ( | void * | IicPtr,
|  | u8 * | Hdcp22Lc128,
|  | u32 | Hdcp22Lc128Size,
|  | u8 * | Hdcp22RxPrivateKey,
|  | u32 | Hdcp22RxPrivateKeySize,
|  | u8 * | Hdcp14KeyA,
|  | u32 | Hdcp14KeyASize,
|  | u8 * | Hdcp14KeyB,
|  | u32 | Hdcp14KeyBSize
| ) |  |

This function loads the HDCP keys from the eeprom.

Returns
  - XST_SUCCESS if action was successful
  - XST_FAILURE if action was not successful